<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/CyberLink4Java</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/CyberLink4Java <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright (C) Satoshi Konno 2002 &ndash; Ralf G. R. Bergs &lt;Ralf@Ber.gs&gt;, Inma Marin Lopez &lt;inma@dif.um.es&gt;.
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Theo Beisch &lt;theo.beisch@gmx.de&gt;
Copyright (C) Satoshi Konno 2004 Author: Markus Thurner (http://thoean.com)
Copyright (C) Satoshi Konno 2009 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 &ndash; Theo Beisch &lt;theo.beisch@gmx.de&gt;
&ndash; Brian Owens &lt;brian@b&ndash;owens.com&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Brent Hills &lt;bhills@openshores.com&gt;
&ndash; Lee Peik Feng &lt;pflee@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 &ndash; Brent Hills &lt;bhills@openshores.com&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Lee Peik Feng &lt;pflee@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Theo Beisch &lt;theo.beisch@gmx.de&gt;
Copyright (C) Satoshi Konno 2002 &ndash; Jan Newmarch &lt;jan.newmarch@infotech.monash.edu.au&gt; (05/26/04)
Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Ralf G. R. Bergs&quot; &lt;Ralf@Ber.gs&gt;
&ndash; Jan Newmarch &lt;jan.newmarch@infotech.monash.edu.au&gt; (05/26/04)
&ndash; Mark Retallack &lt;mretallack@users.sourceforge.net&gt;
&ndash; Andrey Ovchar &lt;AOvchar@consultitnow.com&gt;
Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Gordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Thanks for Dimas &lt;cyberrate@users.sourceforge.net&gt; and Stefano Lenzi &lt;kismet&ndash;sl@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Oliver Newell &lt;newell@media&ndash;rush.com&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Markus Thurner &lt;markus.thurner@fh&ndash;hagenberg.at&gt; (06/11/2004)
&ndash; Grzegorz Lehmann &lt;grzegorz.lehmann@dai&ndash;labor.de&gt;
&ndash; Stefano Lenzi &lt;kismet&ndash;sl@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
Copyright (C) Satoshi Konno 2002 &ndash; Oliver Newell &lt;newell@media&ndash;rush.com&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 &ndash; Thanks for Dimas &lt;cyberrate@users.sourceforge.net&gt; and Stefano Lenzi &lt;kismet&ndash;sl@users.sourceforge.net&gt;
&ndash; Theo Beisch &lt;theo.beisch@gmx.de&gt;
&ndash; Rick Keiner &lt;rick@emanciple.com&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Mikael Hakman &lt;mhakman@dkab.net&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Theo Beisch &lt;theo.beisch@gmx.de&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Inma Marin Lopez &lt;inma@dif.um.es&gt;
&ndash; Mikael Hakman &lt;mhakman@dkab.net&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Inma Mar?n &lt;inma@DIF.UM.ES&gt;
&ndash; Oliver Newell &lt;olivern@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002 &ndash; Brent Hills &lt;bhills@openshores.com&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 &ndash; Holmes, Arran C &lt;acholm@essex.ac.uk&gt;
&ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Thanks for Mikael Hakman &lt;mhakman@dkab.net&gt;
09/18/2010 Robin V. &lt;robinsp@gmail.com&gt;
Copyright (C) Satoshi Konno 2002 Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt; / Suzan Foster
&ndash; Rob van den Boomen &lt;rob.van.den.boomen@philips.com&gt;
&ndash; Andre &lt;andre@antiheld.net&gt;
&ndash; Oliver Newell &lt;newell@media&ndash;rush.com&gt;
Copyright (C) Satoshi Konno 2002&ndash;2003 Copyright (C) Satoshi Konno 2002&ndash;2004 &ndash; Giordano Sassaroli &lt;sassarol@cefriel.it&gt;
&ndash; Thanks for Stefano Lenzi &lt;kismet&ndash;sl@users.sourceforge.net&gt;
Copyright (C) Satoshi Konno 2002&ndash;2004 Copyright (C) Satoshi Konno 2002 


Copyright (c) 2003&ndash;2010, Satoshi Konno

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the Cyber Garage nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
